'ModuleNotFoundError' when loading dwave boltzmann machines library

When running the interactive jupyter notebook script 'Training a Restricted Boltzmann Machine to Add', I got an error message when loading `dwave_bm.rbm` class:

from dwave_bm.rbm import BM
...

ModuleNotFoundError
: No module named 'bm_class'

 

Thanks!

0

Comments

3 comments
  • Hello,

    Unfortunately this module is in the process of being deprecated.

    It relies on Python 2, which is no longer being supported.

    Hopefully we will have something to offer in its place.

    In the mean time, please feel free to reach out with technical questions.

    0
    Comment actions Permalink
  • how to install the dwave_bm library on to the local systems 

    0
    Comment actions Permalink
  • Hi Uday,

    As David mentioned in his last comment, dwave_bm library is deprecated as it relied on Python 2.

    Unfortunately, there are no current efforts on developing this package for Python 3. But we will update if this changes.

    In the meantime, you might find this resource useful to help you get started on your own: https://docs.dwavesys.com/docs/latest/c_ml_1.html#background-on-probabilistic-machine-learning

     

    0
    Comment actions Permalink

Please sign in to leave a comment.

Didn't find what you were looking for?

New post